﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "TChart 클래스 : Export 속성을 사용해 클립보드 복사하기";

            this.metafileRadioButton.Checked = true;

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Pie pie = new Pie(this.tChart.Chart);

            pie.FillSampleValues();

            this.copyClipboardButton.Click += copyClipboardButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 클립보드 복사 버튼 클릭시 처리하기 - copyClipboardButton_Click(sender, e)

        /// <summary>
        /// 클립보드 복사 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void copyClipboardButton_Click(object sender, EventArgs e)
        {
            if(this.metafileRadioButton.Checked) 
            {
                this.tChart.Export.Image.Metafile.CopyToClipboard();
            }
            else
            {
                this.tChart.Export.Image.Bitmap.CopyToClipboard();
            }
        }

        #endregion
    }
}